Nerdy People Matriculate

    ls-installed-deps

    0.0.1 • Public • Published

    ls-installed-deps

    StandardJS travis-ci build status Coverage status

    Recursively gathers names and versions of installed dependencies

    The different between this package and similar existing packages is it relies entirely on your package.json and that of your dependencies installed in node_modules. Other packages (e.g. lsmod) use things like require.cache which is dependent on runtime of your app.

    Install

    yarn add ls-installed-deps
     
    # or npm 
    npm install ls-installed-deps

    Use

    const lsDeps = require('ls-installed-deps')
     
    lsDeps(opts)
    //> { lodash: '4.17.11' }

    Options

    cwd

    String

    Default: process.cwd()

    devDeps

    Boolean

    Default: false

    Include devDependencies in the result

    shallow

    Boolean

    Default: false

    Instead of recursively finding all deps and sub-deps, only find top-level deps of the cwd

    License

    MIT

    Install

    npm i ls-installed-deps

    DownloadsWeekly Downloads

    80

    Version

    0.0.1

    License

    MIT

    Unpacked Size

    4.61 kB

    Total Files

    4

    Last publish

    Collaborators

    • chrisdothtml